package com.yfd.platform.component.nettyserver;


import io.netty.buffer.ByteBuf;

/**
 * 自定义协议包
 */
public class MyMessageProtocol {
    //发送会话序列号
    private long senderSerialNo;

    //接收会话序列号
    private long receiverSerialNo;

    //会话源标识 会话请求='0'  会话响应='1'
    private int sessionflag;

    //xml 的字节长度int
    private int xmllen;

    //交互内容（xml 格式）xml，字符编码为UTF-8
    private byte[] xmlcontent;

    public long getSenderSerialNo() {
        return senderSerialNo;
    }

    public void setSenderSerialNo(long senderSerialNo) {
        this.senderSerialNo = senderSerialNo;
    }

    public int getSessionflag() {
        return sessionflag;
    }

    public void setSessionflag(int sessionflag) {
        this.sessionflag = sessionflag;
    }

    public long getReceiverSerialNo() {
        return receiverSerialNo;
    }

    public void setReceiverSerialNo(long receiverSerialNo) {
        this.receiverSerialNo = receiverSerialNo;
    }

    public int getXmllen() {
        return xmllen;
    }

    public void setXmllen(int xmllen) {
        this.xmllen = xmllen;
    }


    public byte[] getXmlcontent() {
        return xmlcontent;
    }

    public void setXmlcontent(byte[] xmlcontent) {
        this.xmlcontent = xmlcontent;
    }
}


